<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: top_contributors_panel.php
| Author : Smokeman
| Email: smokeman@esenet.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$tcp = "5"; // Adjust the number of Top contributors shown in the panel

if (file_exists(INFUSIONS."top_contributors_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."top_contributors_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."top_contributors_panel/locale/English.php";
}

add_to_head("<link rel='stylesheet' href='".INFUSIONS."top_contributors_panel/css/general.css' type='text/css' />");
add_to_head("<script type='text/javascript' src='".INFUSIONS."top_contributors_panel/include/tabs.js'></script>");

opentable($locale['tcp000']);
echo "<div id='container'>
<ul class='menu'>
  <li id='posts' class='active'>".$locale['tcp001']."</li>
  <li id='threads'>".$locale['tcp002']."</li>
  <li id='shouts'>".$locale['tcp003']."</li>
  <li id='comments'>".$locale['tcp004']."</li>
</ul>
<span class='clear'></span>\n";

// Top Posts start
echo "<div class='content posts'>\n";
$sql = dbquery("SELECT * FROM ".DB_USERS." 
     ORDER BY user_posts DESC LIMIT ".$tcp);
echo "<table width='100%' cellspacing='1' cellpadding='1'><tr>\n";
  if (dbrows($result) != 0) {
$i=0;
while ($data = dbarray($sql)) {
echo "<td align='left'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."\n";
if(!empty($data['user_avatar'])) {
$avatar="<img src='".IMAGES."avatars/".$data['user_avatar']."' alt='".$data['user_name']."' title='".$data['user_name']."' height='50' border='0' />\n";
} else {
$avatar="<img src='".INFUSIONS."top_contributors_panel/images/noav.gif' width='50' height='50' border='0' alt='".$data['user_name']."' title='".$data['user_name']."' />\n";
}
echo"$avatar</td>\n
<td align='left'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<br /> - ".$data['user_posts']." ".$locale['tcp001']."</td>\n";
$i++;
}
  } else {
echo "".$locale['tcp005']."";
}
echo "</tr></table>\n";
echo "</div>\n";
// Top Posts end

// Top Threads start
echo "<div class='content threads'>\n";
$sql = "SELECT count(*) as ialt, u.user_id, u.user_avatar, u.user_name, u.user_status FROM ".DB_THREADS." as p 
     JOIN ".DB_USERS." as u ON u.user_id=p.thread_author 
     GROUP BY thread_author 
     ORDER BY ialt DESC LIMIT ".$tcp;
$result = dbquery($sql);
echo "<table width='100%' cellspacing='1' cellpadding='1'><tr>\n";
  if (dbrows($result) != 0) {
$i=0;
while ($data = dbarray($result)) {
list($threads) = dbarraynum(dbquery("SELECT COUNT(thread_id) FROM ".DB_THREADS." 
               WHERE thread_author='".$data['user_id']."'"));
$threads = empty($threads) ? 0 : $threads;
echo "<td align='left'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."\n";
if(!empty($data['user_avatar'])) {
$avatar="<img src='".IMAGES."avatars/".$data['user_avatar']."' alt='".$data['user_name']."' title='".$data['user_name']."' height='50' border='0' />\n";
} else {
$avatar="<img src='".INFUSIONS."top_contributors_panel/images/noav.gif' width='50' height='50' border='0' alt='".$data['user_name']."' title='".$data['user_name']."' />\n";
}
echo"$avatar</td>\n
<td align='left'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<br /> - ".number_format($threads)." ".$locale['tcp002']."</td>\n";
$i++;
}
  } else {
echo "".$locale['tcp006']."";
}
echo "</tr></table>\n";
echo "</div>\n";
// Top Threads end

// Top Shouts start
echo "<div class='content shouts'>\n";
$sql = "SELECT count(*) as ialt, u.user_id, u.user_avatar, u.user_name, u.user_status FROM ".DB_SHOUTBOX." as p 
     JOIN ".DB_USERS." as u ON u.user_id=p.shout_name 
     GROUP BY shout_name 
     ORDER BY ialt DESC LIMIT ".$tcp;
$result = dbquery($sql);
echo "<table width='100%' cellspacing='1' cellpadding='1'><tr>\n";
  if (dbrows($result) != 0) {
$i=0;
while ($data = dbarray($result)) {
list($threads) = dbarraynum(dbquery("SELECT COUNT(shout_id) FROM ".DB_SHOUTBOX." 
               WHERE shout_name='".$data['user_id']."'"));
$threads = empty($threads) ? 0 : $threads;
echo "<td align='left'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."\n";
if(!empty($data['user_avatar'])) {
$avatar="<img src='".IMAGES."avatars/".$data['user_avatar']."' alt='".$data['user_name']."' title='".$data['user_name']."' height='50' border='0' />\n";
} else {
$avatar="<img src='".INFUSIONS."top_contributors_panel/images/noav.gif' width='50' height='50' border='0' alt='".$data['user_name']."' title='".$data['user_name']."' />\n";
}
echo"$avatar</td>\n
<td align='left'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<br /> - ".number_format($threads)." ".$locale['tcp003']."</td>\n";
$i++;
}
  } else {
echo "".$locale['tcp007']."";
}
echo "</tr></table>\n";
echo "</div>\n";
// Top Shouts end

// Top Comments start
echo "<div class='content comments'>\n";
$sql = "SELECT count(*) as ialt, u.user_id, u.user_avatar, u.user_name, u.user_status FROM ".DB_COMMENTS." as p 
     JOIN ".DB_USERS." as u ON u.user_id=p.comment_name 
     GROUP BY comment_name 
     ORDER BY ialt DESC LIMIT ".$tcp;
$result = dbquery($sql);
echo "<table width='100%' cellspacing='1' cellpadding='1'><tr>\n";
  if (dbrows($result) != 0) {
$i=0;
while ($data = dbarray($result)) {
list($threads) = dbarraynum(dbquery("SELECT COUNT(comment_id) FROM ".DB_COMMENTS." WHERE comment_name='".$data['user_id']."'"));
$threads = empty($threads) ? 0 : $threads;
echo "<td align='left'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."\n";
if(!empty($data['user_avatar'])) {
$avatar="<img src='".IMAGES."avatars/".$data['user_avatar']."' alt='".$data['user_name']."' title='".$data['user_name']."' height='50' border='0' />\n";
} else {
$avatar="<img src='".INFUSIONS."top_contributors_panel/images/noav.gif' width='50' height='50' border='0' alt='".$data['user_name']."' title='".$data['user_name']."' />\n";
}
echo"$avatar</td>\n
<td align='left'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<br /> - ".number_format($threads)." ".$locale['tcp004']."</td>\n";
$i++;
}
  } else {
echo "".$locale['tcp008']."";
}
echo "</tr></table>\n";
echo "</div>\n";
// Top Comments end

echo "</div>\n";
     
echo "<script type='text/javascript' src='http://jqueryjs.googlecode.com/files/jquery-1.2.6.min.js'></script>";
echo "<script type='text/javascript' src='".INFUSIONS."top_contributors_panel/include/tabs.js'></script>";
     
closetable();

?>